GlueGen: com.jogamp.common.net.Uri.Encoded Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.net.Uri.Encoded Class Reference

Immutable RFC3986 encoded string. More...

Inheritance diagram for com.jogamp.common.net.Uri.Encoded:
Collaboration diagram for com.jogamp.common.net.Uri.Encoded:

## Public Member Functions

| Encoded (final String vanilla, final String legal)
| Encodes all characters into their hexadecimal value prepended by '', except: More...
boolean | isASCII ()
final String | get ()
| Returns the encoded String. More...
final String | decode ()
| Decodes the string argument which is assumed to be encoded in the ` x-www-form-urlencoded` MIME content type using the UTF-8 encoding scheme. More...
final String | toString ()
final int | hashCode ()
final boolean | equals (final Object o)
final int | length ()
final char | charAt (final int index)
final CharSequence | subSequence (final int start, final int end)
final int | compareTo (final Encoded o)
Encoded | concat (final Encoded encoded)
| See `String#concat(String)`. More...
final Encoded | substring (final int start)
| See `String#substring(int)`. More...
final Encoded | substring (final int start, final int end)
| See `String#substring(int, int)`. More...
final int | indexOf (final int ch)
| See `String#indexOf(int)`. More...
final int | indexOf (final int ch, final int fromIndex)
| See `String#indexOf(int, int)`. More...
final int | indexOf (final String str)
| See `String#indexOf(String)`. More...
final int | indexOf (final String str, final int fromIndex)
| See `String#indexOf(String, int)`. More...
final int | lastIndexOf (final int ch)
| See `String#lastIndexOf(int)`. More...
int | lastIndexOf (final int ch, final int fromIndex)
| See `String#lastIndexOf(int, int)`. More...
int | lastIndexOf (final String str)
| See `String#lastIndexOf(String)`. More...
int | lastIndexOf (final String str, final int fromIndex)
| See `String#lastIndexOf(String, int)`. More...
boolean | startsWith (final String prefix)
| See `String#startsWith(String)`. More...
boolean | startsWith (final String prefix, final int toffset)
| See `String#startsWith(String, int)`. More...
boolean | endsWith (final String suffix)
| See `String#endsWith(String)`. More...
final boolean | equalsIgnoreCase (final Encoded anotherEncoded)
| See `String#equalsIgnoreCase(String)`. More...

## Static Public Member Functions

static Encoded | cast (final String encoded)
| Casts the given encoded String by creating a new Encoded instance. More...

## Detailed Description

Immutable RFC3986 encoded string.

Definition at line 296 of file Uri.java.

## Constructor & Destructor Documentation

## ◆ Encoded()

com.jogamp.common.net.Uri.Encoded.Encoded | ( | final String | vanilla,
|  | final String | legal
| ) |  |

Encodes all characters into their hexadecimal value prepended by '', except:

1. letters ('a'..'z', 'A'..'Z')
2. numbers ('0'..'9')
3. characters in the legal-set parameter
4. others (unicode characters that are not in US-ASCII set, and are not ISO Control or are not ISO Space characters)

Uses `Uri#encode(String, String)` for implementation..

Parameters

  vanilla | the string to be encoded
  legal | extended character set, allowed to be preserved in the vanilla string

Definition at line 329 of file Uri.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ cast()

static Encoded com.jogamp.common.net.Uri.Encoded.cast | ( | final String | encoded | ) |

static

Casts the given encoded String by creating a new Encoded instance.

No encoding will be performed, use with care.

Reimplemented in com.jogamp.common.net.Uri.ASCIIEncoded.

Definition at line 305 of file Uri.java.

Here is the caller graph for this function:

## ◆ charAt()

final char com.jogamp.common.net.Uri.Encoded.charAt | ( | final int | index | ) |

Definition at line 401 of file Uri.java.

Here is the caller graph for this function:

## ◆ compareTo()

final int com.jogamp.common.net.Uri.Encoded.compareTo | ( | final Encoded | o | ) |

Definition at line 407 of file Uri.java.

## ◆ concat()

Encoded com.jogamp.common.net.Uri.Encoded.concat | ( | final Encoded | encoded | ) |

See `String#concat(String)`.

Definition at line 413 of file Uri.java.

Here is the caller graph for this function:

## ◆ decode()

final String com.jogamp.common.net.Uri.Encoded.decode | ( |  | ) |

Decodes the string argument which is assumed to be encoded in the `
x-www-form-urlencoded` MIME content type using the UTF-8 encoding scheme.

'' and two following hex digit characters are converted to the equivalent byte value. All other characters are passed through unmodified.

e.g. "A%20B%20C %24%25" -> "A B C $%"

Uses `Uri#decode(String)` for implementation..

Definition at line 353 of file Uri.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ endsWith()

boolean com.jogamp.common.net.Uri.Encoded.endsWith | ( | final String | suffix | ) |

See `String#endsWith(String)`.

Definition at line 443 of file Uri.java.

## ◆ equals()

final boolean com.jogamp.common.net.Uri.Encoded.equals | ( | final Object | o | ) |

Parameters

  o | The comparison argument, either a `Encoded` or a `String`

Returns
  `true` if the given object is equivalent to this instance, otherwise `false`.

See also
  compareTo(Encoded)
  equalsIgnoreCase(Encoded)

Definition at line 383 of file Uri.java.

Here is the caller graph for this function:

## ◆ equalsIgnoreCase()

final boolean com.jogamp.common.net.Uri.Encoded.equalsIgnoreCase | ( | final Encoded | anotherEncoded | ) |

See `String#equalsIgnoreCase(String)`.

Definition at line 446 of file Uri.java.

Here is the caller graph for this function:

## ◆ get()

final String com.jogamp.common.net.Uri.Encoded.get | ( |  | ) |

Returns the encoded String.

Definition at line 336 of file Uri.java.

Here is the caller graph for this function:

## ◆ hashCode()

final int com.jogamp.common.net.Uri.Encoded.hashCode | ( |  | ) |

Definition at line 369 of file Uri.java.

## ◆ indexOf() [1/4]

final int com.jogamp.common.net.Uri.Encoded.indexOf | ( | final int | ch | ) |

See `String#indexOf(int)`.

Definition at line 421 of file Uri.java.

Here is the caller graph for this function:

## ◆ indexOf() [2/4]

final int com.jogamp.common.net.Uri.Encoded.indexOf | ( | final int | ch,
|  | final int | fromIndex
| ) |  |

See `String#indexOf(int, int)`.

Definition at line 423 of file Uri.java.

## ◆ indexOf() [3/4]

final int com.jogamp.common.net.Uri.Encoded.indexOf | ( | final String | str | ) |

See `String#indexOf(String)`.

Definition at line 425 of file Uri.java.

## ◆ indexOf() [4/4]

final int com.jogamp.common.net.Uri.Encoded.indexOf | ( | final String | str,
|  | final int | fromIndex
| ) |  |

See `String#indexOf(String, int)`.

Definition at line 427 of file Uri.java.

## ◆ isASCII()

boolean com.jogamp.common.net.Uri.Encoded.isASCII | ( |  | ) |

Reimplemented in com.jogamp.common.net.Uri.ASCIIEncoded.

Definition at line 333 of file Uri.java.

## ◆ lastIndexOf() [1/4]

final int com.jogamp.common.net.Uri.Encoded.lastIndexOf | ( | final int | ch | ) |

See `String#lastIndexOf(int)`.

Definition at line 430 of file Uri.java.

Here is the caller graph for this function:

## ◆ lastIndexOf() [2/4]

int com.jogamp.common.net.Uri.Encoded.lastIndexOf | ( | final int | ch,
|  | final int | fromIndex
| ) |  |

See `String#lastIndexOf(int, int)`.

Definition at line 432 of file Uri.java.

## ◆ lastIndexOf() [3/4]

int com.jogamp.common.net.Uri.Encoded.lastIndexOf | ( | final String | str | ) |

See `String#lastIndexOf(String)`.

Definition at line 434 of file Uri.java.

## ◆ lastIndexOf() [4/4]

int com.jogamp.common.net.Uri.Encoded.lastIndexOf | ( | final String | str,
|  | final int | fromIndex
| ) |  |

See `String#lastIndexOf(String, int)`.

Definition at line 436 of file Uri.java.

## ◆ length()

final int com.jogamp.common.net.Uri.Encoded.length | ( |  | ) |

Definition at line 398 of file Uri.java.

Here is the caller graph for this function:

## ◆ startsWith() [1/2]

boolean com.jogamp.common.net.Uri.Encoded.startsWith | ( | final String | prefix | ) |

See `String#startsWith(String)`.

Definition at line 439 of file Uri.java.

## ◆ startsWith() [2/2]

boolean com.jogamp.common.net.Uri.Encoded.startsWith | ( | final String | prefix,
|  | final int | toffset
| ) |  |

See `String#startsWith(String, int)`.

Definition at line 441 of file Uri.java.

## ◆ subSequence()

final CharSequence com.jogamp.common.net.Uri.Encoded.subSequence | ( | final int | start,
|  | final int | end
| ) |  |

Definition at line 404 of file Uri.java.

## ◆ substring() [1/2]

final Encoded com.jogamp.common.net.Uri.Encoded.substring | ( | final int | start | ) |

See `String#substring(int)`.

Definition at line 416 of file Uri.java.

Here is the caller graph for this function:

## ◆ substring() [2/2]

final Encoded com.jogamp.common.net.Uri.Encoded.substring | ( | final int | start,
|  | final int | end
| ) |  |

See `String#substring(int, int)`.

Definition at line 418 of file Uri.java.

## ◆ toString()

final String com.jogamp.common.net.Uri.Encoded.toString | ( |  | ) |

Returns the encoded String, same as `get()`.

Definition at line 366 of file Uri.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/net/Uri.java